Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ebay.redlasersdk
Class BarcodeScanActivity.Status

    java.lang.Object
      com.ebay.redlasersdk.BarcodeScanActivity.Status

Enclosing class:
  BarcodeScanActivity

    public static class BarcodeScanActivity.Status

extends java.lang.Object

The onScanStatusUpdate() method takes a HashMap as a parameter. The keys in that HashMap are members of this Status class. Not all keys will be present on every call to onScanStatusUpdate(). Your application should subclass BarcodeScanActivity, implement onScanStatusUpdate(), and check for these keys in the HashMap for information about the state of the scanning session.

Field Summary
`static java.lang.String` | `STATUS_CAMERA_SNAPSHOT` Camera snapshot of preview frame.
`static java.lang.String` | `STATUS_FOUND_BARCODES` HashSet of all found barcodes.
`static java.lang.String` | `STATUS_GUIDANCE` Guidance level.
`static java.lang.String` | `STATUS_IN_RANGE` boolean of whether a barcode is in range on preview screen.
`static java.lang.String` | `STATUS_NEW_FOUND_BARCODES` HashSet of found barcodes since the last status update.
`static java.lang.String` | `STATUS_PARTIAL_BARCODE` BarcodeResult containing a partially scanned barcode.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_FOUND_BARCODES

    public static final java.lang.String STATUS_FOUND_BARCODES

  HashSet of all found barcodes.

  See Also:
    Constant Field Values

### STATUS_NEW_FOUND_BARCODES

    public static final java.lang.String STATUS_NEW_FOUND_BARCODES

  HashSet of found barcodes since the last status update. A found barcode will appear in this set for exactly one call to onScanStatusUpdate().

  See Also:
    Constant Field Values

### STATUS_IN_RANGE

    public static final java.lang.String STATUS_IN_RANGE

  boolean of whether a barcode is in range on preview screen. For best recognition, inform the user that they should hold the device steady when this value becomes TRUE. The SDK may find and return results without InRange ever becoming true.

  See Also:
    Constant Field Values

### STATUS_GUIDANCE

    public static final java.lang.String STATUS_GUIDANCE

  Guidance level. This value can be use to help the user scan long Code 39 barcodes by sweeping the device across the barcode. See the pdf docs for more info on this process. A value of 0 means guidance hasn't started. 1 indicates a long barcode has been seen but hasn't been recognized. 2 means that a partial barcode has been read, which can be found in the STATUS_PARTIAL_BARCODE key.

  See Also:
    Constant Field Values

### STATUS_PARTIAL_BARCODE

    public static final java.lang.String STATUS_PARTIAL_BARCODE

  BarcodeResult containing a partially scanned barcode. This barcode will be marked as a partial result. The partial result will always contain an initial substring of the full barcode string.

  See Also:
    Constant Field Values

### STATUS_CAMERA_SNAPSHOT

    public static final java.lang.String STATUS_CAMERA_SNAPSHOT

  Camera snapshot of preview frame. This value is returned after a call to requestImageData(). Depending on OS and hardware, the SDK may take an actual camera picture, or may deliver a preview image that has been compressed. In either case, the value for this key will be a byte array containing JPEG image data.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eBay Inc. All Rights Reserved.